Index: hostapd-2016-10-02/src/ap/dfs.c
===================================================================
--- hostapd-2016-10-02.orig/src/ap/dfs.c	2017-05-02 10:01:21.145902266 +0530
+++ hostapd-2016-10-02/src/ap/dfs.c	2017-05-02 10:01:21.145902266 +0530
@@ -770,7 +770,14 @@
 				      chan_width, cf1, cf2,
 				      HOSTAPD_CHAN_DFS_AVAILABLE);
 			iface->cac_started = 0;
-			hostapd_setup_interface_complete(iface, 0);
+			/*
+			 * Just mark the channel available when CAC completion
+			 * event is received in enabled state. CAC result could
+			 * have been propagated from other radio having the same
+			 * regulatory configuration.
+			 */
+			if (iface->state != HAPD_IFACE_ENABLED)
+				hostapd_setup_interface_complete(iface, 0);
 		}
 	}
 
